# List

Launch stage: GA

`GET /api/2.1/unity-catalog/connections`

List all connections.

 NOTE: we recommend using max_results=0 to use the paginated version of this API. Unpaginated calls will be deprecated soon.

 PAGINATION BEHAVIOR: When using pagination (max_results >= 0), a page may contain zero results while still providing a next_page_token.
 Clients must continue reading pages until next_page_token is absent, which is the only indication that the end of results has been reached.

API scopes: unity-catalog

## Query parameters

- `max_results` (int32, optional)
  Maximum number of connections to return.
   - If not set, all connections are returned (not recommended).
   - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
   - when set to 0, the page length is set to a server configured value (recommended);
   - when set to a value less than 0, an invalid parameter error is returned;
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.
- `parent` (string, optional, Beta)
  Optional. Parent schema filter for listing schema-level connections, in format "schemas/{catalog}.{schema}".

## Returns

Returns a list of ConnectionInfo objects.

## Response

```json
{
  "connections": [
    {
      "name": "string",
      "connection_type": "string",
      "owner": "string",
      "read_only": true,
      "comment": "string",
      "environment_settings": {},
      "full_name": "string",
      "url": "string",
      "credential_type": "string",
      "connection_id": "string",
      "metastore_id": "string",
      "created_at": 0,
      "created_by": "string",
      "updated_at": 0,
      "updated_by": "string",
      "securable_type": "string",
      "provisioning_info": {},
      "options": {},
      "properties": {}
    }
  ],
  "next_page_token": "string"
}
```

